<?php
/**
 * Set fitness layout according to options
 *
 * @package Fitness
 */

defined( 'WPINC' ) || exit;

/**
 * Layout manager.
 */
class Fitness_Layout extends Fitness_Base {

	/**
	 * The Construct
	 */
	public function __construct() {
		$this->add_action( 'fitness_before_wrapper', 'add_header' );
		// $this->add_action( 'fitness_before_content', 'single_heading_secton' );
		$this->add_action( 'fitness_single_post_header', 'single_post_header' );
	}

	/**
	 * Add header
	 */
	public function add_header() {
		$hash   = array(
			'header-default' => 'default',
			'header-layout2' => 'layout2',
			'header-layout3' => 'layout3',
		);
		$layout = fitness_get_settings( 'header_styles' );
		get_template_part( 'template-parts/header/header', isset( $hash[ $layout ] ) ? $hash[ $layout ] : $layout );
	}

	/**
	 * Single post header layout
	 */
	public function single_post_header() {
		?>
		<header class="single-header clearfix">

			<?php
			$header_animation = fitness_get_post_header_effect();
			if ( has_post_thumbnail() && fitness_get_settings( 'show_single_featured' ) && empty( $header_animation ) ) {
				the_post_thumbnail( 'fitness-single-featured', array( 'class' => 'single-featured-image' ) );
			}
			?>
			<h1 class="title single-title entry-title"><?php the_title(); ?></h1>
			<?php
			if ( fitness_get_settings( 'single_category_post' ) ) :
				printf( '<div class="thesinglecategory">%s</div>', fitness_get_the_category( ' ' ) );
			endif;
			fitness_the_post_meta( 'single' );
			?>

		</header><!--.headline_area-->
		<?php
	}
}

// Init.
new Fitness_Layout;
