<?php
/**
 * Carousel Section
 *
 * @package Fitness
 */

$menus['blog']['child']['blog-archive'] = array(
	'title' => esc_html__( 'Archives', 'fitness' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the archive pages.', 'fitness' ),
);

$sections['blog-archive'] = array(

	array(
		'id'       => 'archive_post_date',
		'type'     => 'switch',
		'title'    => esc_html__( 'Enable/Disable Posts date', 'fitness' ),
		'sub_desc' => esc_html__( 'Use this button to show or hide date.', 'fitness' ),
		'std'      => '1',
	),

	array(
		'id'         => 'archive_post_date_type',
		'type'       => 'button_set',
		'title'      => esc_html__( 'Post Meta Month Format', 'fitness' ),
		'sub_desc'   => esc_html__( 'Select date format in post meta month format.', 'fitness' ),
		'options'    => array(
			'word'     => esc_html__( 'Word', 'fitness' ),
			'numbered' => esc_html__( 'Numbered', 'fitness' ),
		),
		'std'        => 'word',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'archive_post_date',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'archive_post_date_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Posts date Typography', 'fitness' ),
		'std'        => array(
			'preview-text'   => 'Post Date',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '700',
			'font-size'      => '26px',
			'line-height'    => '30px',
			'letter-spacing' => '0.5px',
			'color'          => '#091e42',
			'css-selectors'  => '.archive-posts.layout-default .latestPost .post-date, .archive [class^="more-page"] .latestPost .post-date, .search [class^="more-page"] .latestPost .post-date',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'archive_post_date',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'       => 'mts_archive_headline_meta_info',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Archives Meta Info', 'fitness' ),
		'sub_desc' => esc_html__( 'Organize how you want the post meta info to appear on Archives.', 'fitness' ),
		'options'  => array(
			'enabled'  => array(
				'author'  => array(
					'label'     => __( 'Author Name', 'fitness' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_author_icon_archive',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'fitness' ),
						),
					),
				),
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'fitness' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_comment_icon_archive',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'fitness' ),
							'std'   => 'comment-o',
						),
					),
				),
			),
			'disabled' => array(
				'category' => array(
					'label'     => esc_html__( 'Categories', 'fitness' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_category_icon_archive',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'fitness' ),
						),
					),
				),
			),
		),
		'std'      => array(
			'enabled'  => array(
				'author'  => array(
					'label'     => __( 'Author Name', 'fitness' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_author_icon_archive',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'fitness' ),
						),
					),
				),
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'fitness' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_comment_icon_archive',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'fitness' ),
							'std'   => 'comment-o',
						),
					),
				),
			),
			'disabled' => array(
				'category' => array(
					'label'     => esc_html__( 'Categories', 'fitness' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_category_icon_archive',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'fitness' ),
						),
					),
				),
			),
		),
	),

	array(
		'id'       => 'archive_meta_info_bg',
		'type'     => 'color',
		'title'    => esc_html__( 'Archives Meta Info Background Color', 'fitness' ),
		'sub_desc' => esc_html__( 'Set archives meta info background.', 'fitness' ),
		'std'      => '#f4f5f7',
	),

	array(
		'id'       => 'archive_readmore',
		'type'     => 'switch',
		'title'    => esc_html__( 'Enable/Disable Read More', 'fitness' ),
		'sub_desc' => esc_html__( 'Use this button to show or hide readmore.', 'fitness' ),
		'std'      => '1',
	),

	array(
		'id'    => 'archive_meta_info_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Meta Info Typography', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Post Meta Info Font',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '600',
			'font-size'      => '14px',
			'color'          => '#505f79',
			'letter-spacing' => '0.5px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.archive-posts.layout-default .latestPost .post-info, .archive-posts.layout-default .latestPost .post-info span a, .archive [class^="more-page"] .latestPost .post-info, .archive [class^="more-page"] .latestPost .post-info span a, .search [class^="more-page"] .latestPost .post-info, .search [class^="more-page"] .latestPost .post-info span a',
		),
	),

  array(
    'id'    => 'archive_post_title_font',
    'type'  => 'typography',
    'title' => esc_html__( 'Post Title Font', 'fitness' ),
    'std'   => array(
      'preview-text'  => 'Post Title Font',
      'preview-color' => 'light',
      'font-family'   => 'Muli',
      'font-weight'   => '800',
      'font-size'     => '30px',
      'line-height'   => '40px',
      'color'         => '#091e42',
      'css-selectors' => '.archive-posts.layout-default .latestPost .title a, .archive [class^="more-page"] .latestPost .title a, .search [class^="more-page"] .latestPost .title a',
    ),
  ),

  array(
    'id'    => 'archive_post_excerpt_font',
    'type'  => 'typography',
    'title' => esc_html__( 'Post Excerpt Font', 'fitness' ),
    'std'   => array(
      'preview-text'   => 'Post Excerpt Font',
      'preview-color'  => 'light',
      'font-family'    => 'Muli',
      'font-weight'    => '400',
      'font-size'      => '16px',
      'line-height'    => '25px',
      'color'          => '#091e42',
      'letter-spacing' => '0.5px',
      'css-selectors'  => '.archive-posts.layout-default .latestPost .front-view-content, .archive [class^="more-page"] .latestPost .front-view-content, .search [class^="more-page"] .latestPost .front-view-content',
    ),
  ),

);
