<?php
/**
 * Breadcrumbs
 *
 * @package Fitness
 */

$menus['blog']['child']['blog-breadcrumbs'] = array(
	'title' => esc_html__( 'Titles & Breadcrumbs', 'fitness' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your breadcrumbs.', 'fitness' ),
);

$breadcrumb_section_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'mts_breadcrumb_section',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['blog-breadcrumbs'] = array(

	array(
		'id'       => 'mts_breadcrumb_section',
		'type'     => 'switch',
		'title'    => esc_html__( 'Blog Title Section', 'fitness' ),
		'sub_desc' => esc_html__( 'Enable/Disable the blog title section from here. This option will hide the page title & breadcrumbs completely.', 'fitness' ),
		'std'      => '1',
	),

	array(
		'id'         => 'mts_blog_title',
		'type'       => 'switch',
		'title'      => esc_html__( 'Page Title', 'fitness' ),
		'sub_desc'   => esc_html__( 'Enable/Disable the page title from here.', 'fitness' ),
		'std'        => '1',
		'dependency' => $breadcrumb_section_dependency,
	),

	array(
		'id'         => 'single_heading_text',
		'type'       => 'text',
		'title'      => esc_html__( 'Page Title Text', 'fitness' ),
		'sub_desc'   => esc_html__( 'Enter page title text from here. Page title will be shown on archives and other pages.', 'fitness' ),
		'std'        => esc_html__( 'Blog', 'fitness' ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'mts_breadcrumb_section',
				'value'      => '1',
				'comparison' => '==',
			),
			array(
				'field'      => 'mts_blog_title',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'mts_breadcrumb',
		'type'       => 'switch',
		'title'      => esc_html__( 'Breadcrumbs', 'fitness' ),
		'sub_desc'   => esc_html__( 'Breadcrumbs are a great way to make your site more user-friendly. You can enable them by checking this box.', 'fitness' ),
		'std'        => '1',
		'dependency' => $breadcrumb_section_dependency,
	),

	array(
		'id'         => 'breadcrumb_icon',
		'type'       => 'icon_select',
		'title'      => esc_html__( 'Icon', 'fitness' ),
		'sub_desc'   => esc_html__( 'Select divider icon from here.', 'fitness' ),
		'std'        => 'angle-right',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'mts_breadcrumb_section',
				'value'      => '1',
				'comparison' => '==',
			),
			array(
				'field'      => 'mts_breadcrumb',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'breadcrumb_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Breadcrumb Section Background Color', 'fitness' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'fitness' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $breadcrumb_section_dependency,
	),

	array(
		'id'         => 'breadcrumb_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'fitness' ),
		'sub_desc'   => esc_html__( 'Set breadcrumb section padding from here.', 'fitness' ),
		'std'        => array(
			'top'    => '25px',
			'right'  => '0',
			'bottom' => '35px',
			'left'   => '0',
		),
		'dependency' => $breadcrumb_section_dependency,
	),

	array(
		'id'         => 'breadcrumb_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Margin', 'fitness' ),
		'sub_desc'   => esc_html__( 'Set breadcrumb section margin from here.', 'fitness' ),
		'std'        => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '20px',
			'left'   => '0',
		),
		'dependency' => $breadcrumb_section_dependency,
	),

	array(
		'id'         => 'breadcrumb_border',
		'type'       => 'border',
		'title'      => esc_html__( 'Border', 'fitness' ),
		'sub_desc'   => esc_html__( 'Select border', 'fitness' ),
		'std'        => array(
			'color'     => '#dfe1e6',
			'direction' => 'bottom',
			'size'      => '1',
			'style'     => 'solid',
		),
		'dependency' => $breadcrumb_section_dependency,
	),

	array(
		'id'         => 'single_heading_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Page Title Font', 'fitness' ),
		'std'        => array(
			'preview-text'   => 'Page Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '400',
			'color'          => '#091e42',
			'additional-css' => 'text-transform: uppercase;',
			'font-size'      => '30px',
			'line-height'    => '1.2',
			'css-selectors'  => '.breadcrumbs-section h1',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'mts_breadcrumb_section',
				'value'      => '1',
				'comparison' => '==',
			),
			array(
				'field'      => 'mts_blog_title',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'breadcrumb_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Breadcrumbs Font', 'fitness' ),
		'std'        => array(
			'preview-text'   => 'Breadcrumbs',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '600',
			'font-size'      => '16px',
			'color'          => '#091e42',
			'additional-css' => 'text-transform: uppercase; letter-spacing:0.5px;',
			'css-selectors'  => '.breadcrumb, .rank-math-breadcrumb',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'mts_breadcrumb',
				'value'      => '1',
				'comparison' => '==',
			),
			array(
				'field'      => 'mts_breadcrumb_section',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
);
