<?php
/**
 * Carousel Section
 *
 * @package Fitness
 */

$menus['blog']['child']['blog-carousel'] = array(
	'title' => esc_html__( 'Carousel', 'fitness' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the carousel section.', 'fitness' ),
);

$carousel_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'show_carousel',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['blog-carousel'] = array(

	array(
		'id'       => 'show_carousel',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Carousel', 'fitness' ),
		'sub_desc' => esc_html__( 'Enable/Disable the carousel in the blog page.', 'fitness' ),
		'std'      => '1',
	),

	array(
		'id'         => 'carousel_heading',
		'type'       => 'text',
		'title'      => esc_html__( 'Heading', 'fitness' ),
		'sub_desc'   => esc_html__( 'Enter heading from here.', 'fitness' ),
		'std'        => esc_html__( 'Category', 'fitness' ),
		'dependency' => $carousel_dependency,
	),

	array(
		'id'         => 'carousel_category',
		'type'       => 'select',
		'data'       => 'category',
		'title'      => esc_html__( 'Carousel Category', 'fitness' ),
		'sub_desc'   => esc_html__( 'Select a category from the drop-down menu, latest articles from this category will be shown in the carousel.', 'fitness' ),
		'std'        => 'latest',
		'args'       => array(
			'include_latest' => 1,
			'hide_empty'     => 0,
		),
		'dependency' => $carousel_dependency,
	),

	array(
		'id'         => 'carousel_postsnum',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Number of Posts', 'fitness' ),
		'sub_desc'   => esc_html__( 'Enter the number of posts to show in this section.', 'fitness' ),
		'std'        => '5',
		'args'       => array( 'type' => 'number' ),
		'dependency' => $carousel_dependency,
	),

	array(
		'id'         => 'carousel_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Carousel Padding', 'fitness' ),
		'sub_desc'   => esc_html__( 'Set carousel section padding from here.', 'fitness' ),
		'std'        => array(
			'top'    => '35px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
		'dependency' => $carousel_dependency,
	),

	array(
		'id'         => 'carousel_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Carousel Margin', 'fitness' ),
		'sub_desc'   => esc_html__( 'Set carousel section margin from here.', 'fitness' ),
		'std'        => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '35px',
			'left'   => '0',
		),
		'dependency' => $carousel_dependency,
	),

	array(
		'id'         => 'carousel_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Carousel Background', 'fitness' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'fitness' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $carousel_dependency,
	),

	array(
		'id'         => 'carousel_heading_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Carousel Heading Font', 'fitness' ),
		'std'        => array(
			'preview-text'   => 'Heading',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '400',
			'color'          => '#505f79',
			'font-size'      => '26px',
			'line-height'    => '30px',
			'letter-spacing' => '0.5px',
			'css-selectors'  => '.blog-carousel-section .carousel-heading',
		),
		'dependency' => $carousel_dependency,
	),

	array(
		'id'         => 'carousel_category_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Category Name Font', 'fitness' ),
		'std'        => array(
			'preview-text'  => 'Category Name Font',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '800',
			'color'         => '#091e42',
			'font-size'     => '40px',
			'css-selectors' => '.blog-carousel-section h2, .blog-carousel-section h2 a',
		),
		'dependency' => $carousel_dependency,
	),

	array(
		'id'         => 'carousel_title_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Carousel Title Font', 'fitness' ),
		'std'        => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'dark',
			'font-family'    => 'Muli',
			'font-weight'    => '700',
			'color'          => '#ffffff',
			'font-size'      => '16px',
			'line-height'    => '30px',
			'letter-spacing' => '1px',
			'additional-css' => 'text-transform:uppercase;',
			'css-selectors'  => '.blog-carousel h3.title a',
		),
		'dependency' => $carousel_dependency,
	),

);
