<?php
/**
 * Header Tab
 *
 * @package Fitness
 */

$menus['header'] = array(
	'icon'  => 'fa-header',
	'title' => esc_html__( 'Header', 'fitness' ),
);

$sections['header'] = array(

	array(
		'id'       => 'header_styles',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Header Styling', 'fitness' ),
		'sub_desc' => wp_kses( __( 'Choose the <strong>Header design</strong> for your site.', 'fitness' ), array( 'strong' => '' ) ),
		'options'  => array(
			'header-default' => array( 'img' => $uri . 'headers/header-default.jpg' ),
			'header-layout2' => array( 'img' => $uri . 'headers/header-layout2.jpg' ),
		),
		'std'      => 'header-default',
	),

	array(
		'id'    => 'header_nav_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Header Settings', 'fitness' ),
	),

	array(
		'id'       => 'header_search_box',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Header Search Form', 'fitness' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>Header Search Form</strong> completely.', 'fitness' ), array( 'strong' => '' ) ),
		'std'      => '1',
	),

	array(
		'id'       => 'header_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Margin', 'fitness' ),
		'sub_desc' => esc_html__( 'Set header margin from here.', 'fitness' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '0',
			'bottom' => '0',
		),
	),
	array(
		'id'       => 'home_header_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Home Header Padding', 'fitness' ),
		'sub_desc' => esc_html__( 'Set homepage header padding from here.', 'fitness' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '45px',
			'bottom' => '45px',
		),
	),
	array(
		'id'       => 'header_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Padding', 'fitness' ),
		'sub_desc' => esc_html__( 'Set header padding from here.', 'fitness' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '25px',
			'bottom' => '25px',
		),
	),

	array(
		'id'       => 'mts_header_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'fitness' ),
		'sub_desc' => esc_html__( 'Select border.', 'fitness' ),
	),

	array(
		'id'       => 'home_header_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Homepage Navigation Background', 'fitness' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for homepage header from here.', 'fitness' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'header_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Navigation Background', 'fitness' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for header from here, except homepage header.', 'fitness' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'    => 'header_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Header General Settings', 'fitness' ),
	),

	array(
		'id'       => 'mts_sticky_nav',
		'type'     => 'switch',
		'title'    => esc_html__( 'Floating Navigation Menu', 'fitness' ),
		// translators: Floating Navigation Menu with strong tag.
		'sub_desc' => sprintf( esc_html__( 'Use this button to enable %s.', 'fitness' ), '<strong>' . esc_html__( 'Floating Navigation Menu', 'fitness' ) . '</strong>' ),
		'std'      => '0',
	),

	array(
		'id'       => 'mts_header_section2',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Logo', 'fitness' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>Logo</strong> completely.', 'fitness' ), array( 'strong' => '' ) ),
		'std'      => '1',
	),

	array(
		'id'       => 'main_navigation_dropdown_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Text Color', 'fitness' ),
		'sub_desc' => esc_html__( 'Select dropdown text color for main navigation from here.', 'fitness' ),
		'std'      => '#091e42',
	),
	array(
		'id'       => 'main_navigation_dropdown_hover_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Text Hover Color', 'fitness' ),
		'sub_desc' => esc_html__( 'Select dropdown text color for main navigation from here.', 'fitness' ),
		'std'      => fitness_get_settings( 'primary_color_scheme' ),
	),

);
