<?php
/**
 * HomePage Blog Section
 *
 * @package Fitness
 */

$menus['homepage']['child']['homepage-blog'] = array(
	'title' => esc_html__( 'Blog', 'fitness' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Blog section.', 'fitness' ),
);

$sections['homepage-blog'] = array(

	array(
		'id'       => 'blog_section_heading',
		'type'     => 'text',
		'title'    => esc_html__( 'Heading', 'fitness' ),
		'sub_desc' => esc_html__( 'Enter heading from here.', 'fitness' ),
		'std'      => esc_html__( 'Blog', 'fitness' ),
	),

	array(
		'id'       => 'blog_section_subheading',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Subheading', 'fitness' ),
		'sub_desc' => esc_html__( 'Enter subheading from here.', 'fitness' ),
		'std'      => esc_html__( 'Check out what\'s happening on our blog', 'fitness' ),
	),
	array(
		'id'       => 'blog_section_postnum',
		'type'     => 'text',
		'title'    => esc_html__( 'Blog Posts Number', 'fitness' ),
		'sub_desc' => esc_html__( 'Enter the total number of posts which you want to show on Blog Section.', 'fitness' ),
		'validate' => 'numeric',
		'std'      => '3',
		'class'    => 'small-text',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'       => 'blog_section_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'fitness' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'fitness' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/blog-section-bg.jpg',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center center',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'blog_section_overlay',
		'type'     => 'color',
		'title'    => esc_html__( 'Blog section Overlay Color', 'fitness' ),
		'sub_desc' => esc_html__( 'Select overlay color for blog side background image from here.', 'fitness' ),
		'std'      => 'rgba(9,30,66,0.75)',
		'args'     => array( 'opacity' => true ),
	),

	array(
		'id'       => 'blog_section_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'fitness' ),
		'sub_desc' => esc_html__( 'Set blog section padding from here.', 'fitness' ),
		'std'      => array(
			'top'    => '130px',
			'right'  => '0',
			'bottom' => '100px',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'blog_section_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'fitness' ),
		'sub_desc' => esc_html__( 'Set blog section margin from here.', 'fitness' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'    => 'blog_heading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Heading Font', 'fitness' ),
		'std'   => array(
			'preview-text'  => 'Heading Font',
			'preview-color' => 'dark',
			'font-family'   => 'Muli',
			'font-weight'   => '800',
			'color'         => '#ffffff',
			'font-size'     => '40px',
			'line-height'   => '1.2',
			'css-selectors' => '.blog-section h2',
		),
	),

	array(
		'id'    => 'blog_subheading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subheading Font', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Subheading Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Muli',
			'font-weight'    => '400',
			'color'          => '#ffffff',
			'font-size'      => '26px',
			'line-height'    => '1.3',
			'letter-spacing' => '0.5px',
			'css-selectors'  => '.blog-section p.sub-heading',
		),
	),

	array(
		'id'    => 'blog_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'dark',
			'font-family'    => 'Muli',
			'font-weight'    => '700',
			'color'          => '#ffffff',
			'font-size'      => '16px',
			'line-height'    => '30px',
			'letter-spacing' => '1px',
			'additional-css' => 'text-align:center;text-transform:uppercase;',
			'css-selectors'  => '.blog-section-post h3',
		),
	),

);
