<?php
/**
 * HomePage Clients Section
 *
 * @package Fitness
 */

$menus['homepage']['child']['homepage-clients'] = array(
	'title' => esc_html__( 'Clients', 'fitness' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Clients section.', 'fitness' ),
);

$sections['homepage-clients'] = array(

	array(
		'id'       => 'clients_heading',
		'type'     => 'text',
		'title'    => esc_html__( 'Heading', 'fitness' ),
		'sub_desc' => esc_html__( 'Enter heading from here.', 'fitness' ),
		'std'      => esc_html__( 'Here are our clients', 'fitness' ),
	),

	array(
		'id'       => 'clients_subheading',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Subheading', 'fitness' ),
		'sub_desc' => esc_html__( 'Enter subheading from here.', 'fitness' ),
		'std'      => esc_html__( 'Who support and cooperate with us', 'fitness' ),
	),
	array(
		'id'       => 'clients_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Clients Background', 'fitness' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'fitness' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'        => 'home_clients',
		'type'      => 'group',
		'title'     => esc_html__( 'Clients Items', 'fitness' ),
		'groupname' => esc_html__( 'Client Item', 'fitness' ),
		'subfields' => array(
			array(
				'id'    => 'client_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'fitness' ),
			),
			array(
				'id'       => 'client_image',
				'type'     => 'upload',
				'title'    => esc_html__( 'Image', 'fitness' ),
				'sub_desc' => esc_html__( 'Upload or select an image for partner. Recommended Size(190X70px)', 'fitness' ),
			),
			array(
				'id'       => 'client_link',
				'type'     => 'text',
				'title'    => esc_html__( 'Link', 'fitness' ),
				'sub_desc' => esc_html__( 'Insert a link URL of partner', 'fitness' ),
				'std'      => '#',
			),
		),
		'std'       => array(
			'1' => array(
				'group_sort'   => '1',
				'client_title' => 'PS4',
				'client_image' => get_template_directory_uri() . '/images/ps4.png',
				'client_link'  => '#',
			),
			'2' => array(
				'group_sort'   => '2',
				'client_title' => 'Dell',
				'client_image' => get_template_directory_uri() . '/images/dell.png',
				'client_link'  => '#',
			),
			'3' => array(
				'group_sort'   => '3',
				'client_title' => 'Pioneer',
				'client_image' => get_template_directory_uri() . '/images/pioneer.png',
				'client_link'  => '#',
			),
			'4' => array(
				'group_sort'   => '4',
				'client_title' => 'PS4',
				'client_image' => get_template_directory_uri() . '/images/ps4.png',
				'client_link'  => '#',
			),
			'5' => array(
				'group_sort'   => '5',
				'client_title' => 'Dell',
				'client_image' => get_template_directory_uri() . '/images/dell.png',
				'client_link'  => '#',
			),
		),
	),

	array(
		'id'       => 'clients_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'fitness' ),
		'sub_desc' => esc_html__( 'Set clients section padding from here.', 'fitness' ),
		'std'      => array(
			'top'    => '130px',
			'right'  => '0',
			'bottom' => '60px',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'clients_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'fitness' ),
		'sub_desc' => esc_html__( 'Set clients section margin from here.', 'fitness' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'    => 'clients_heading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Heading Font', 'fitness' ),
		'std'   => array(
			'preview-text'  => 'Heading Font',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '800',
			'color'         => '#091e42',
			'font-size'     => '40px',
			'line-height'   => '1.2',
			'css-selectors' => '.clients-section h2',
		),
	),

	array(
		'id'    => 'clients_subheading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subheading Font', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Subheading Font',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '400',
			'color'          => '#505f79',
			'font-size'      => '26px',
			'line-height'    => '1.3',
			'letter-spacing' => '0.5px',
			'css-selectors'  => '.clients-section p.sub-heading',
		),
	),

);
