<?php
/**
 * HomePage Services Section
 *
 * @package Fitness
 */

$menus['homepage']['child']['homepage-services'] = array(
	'title' => esc_html__( 'Services', 'fitness' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the services section.', 'fitness' ),
);

$sections['homepage-services'] = array(

	array(
		'id'       => 'services_heading',
		'type'     => 'text',
		'title'    => esc_html__( 'Heading', 'fitness' ),
		'sub_desc' => esc_html__( 'Enter heading from here.', 'fitness' ),
		'std'      => esc_html__( 'For better classes matching', 'fitness' ),
	),

	array(
		'id'       => 'services_subheading',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Subheading', 'fitness' ),
		'sub_desc' => esc_html__( 'Enter subheading from here.', 'fitness' ),
		'std'      => esc_html__( 'We invite you to check other wellness services', 'fitness' ),
	),

	array(
		'id'        => 'home_services',
		'type'      => 'group',
		'title'     => esc_html__( 'Services', 'fitness' ),
		'sub_desc'  => esc_html__( 'Add service item appearing on the homepage services section.', 'fitness' ),
		'groupname' => esc_html__( 'Grid', 'fitness' ),
		'subfields' => array(
			array(
				'id'       => 'services_title',
				'type'     => 'textarea',
				'title'    => esc_html__( 'Title', 'fitness' ),
				'sub_desc' => esc_html__( 'Enter services title from here.', 'fitness' ),
			),
			array(
				'id'       => 'services_image',
				'type'     => 'upload',
				'title'    => esc_html__( 'Upload service background image', 'fitness' ),
				'sub_desc' => esc_html__( 'Upload service background image from here. Recommended size: 270 x 200 in px', 'fitness' ),
				'return'   => 'url',
			),
			array(
				'id'    => 'services_link',
				'type'  => 'text',
				'title' => esc_html__( 'URL', 'fitness' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_sort'     => '1',
				'services_title' => 'We know that good design means good business.',
				'services_image' => get_template_directory_uri() . '/images/services-1.jpg',
				'services_link'  => '#',
			),
			'2' => array(
				'group_sort'     => '2',
				'services_title' => 'What every executive needs to know about design',
				'services_image' => get_template_directory_uri() . '/images/services-2.jpg',
				'services_link'  => '#',
			),
			'3' => array(
				'group_sort'     => '3',
				'services_title' => 'What do you see as some of the challenges to connect design to the business.',
				'services_image' => get_template_directory_uri() . '/images/services-3.jpg',
				'services_link'  => '#',
			),
			'4' => array(
				'group_sort'     => '4',
				'services_title' => 'Packaging Design can alter perception of your Product.',
				'services_image' => get_template_directory_uri() . '/images/services-4.jpg',
				'services_link'  => '#',
			),
		),
	),

	array(
		'id'       => 'services_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'fitness' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'fitness' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'services_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'fitness' ),
		'sub_desc' => esc_html__( 'Set Services section padding from here.', 'fitness' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'services_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'fitness' ),
		'sub_desc' => esc_html__( 'Set Services section margin from here.', 'fitness' ),
		'std'      => array(
			'top'    => '130px',
			'right'  => '0',
			'bottom' => '30px',
			'left'   => '0',
		),
	),

	array(
		'id'    => 'services_heading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Heading Font', 'fitness' ),
		'std'   => array(
			'preview-text'  => 'Heading Font',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '800',
			'color'         => '#091e42',
			'font-size'     => '40px',
			'line-height'   => '1.2',
			'css-selectors' => '.services-section h2',
		),
	),

	array(
		'id'    => 'services_subheading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subheading Font', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Subheading Font',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '400',
			'color'          => '#505f79',
			'font-size'      => '26px',
			'line-height'    => '1.3',
			'letter-spacing' => '0.5px',
			'css-selectors'  => '.services-section p.sub-heading',
		),
	),

	array(
		'id'    => 'services_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '400',
			'color'          => '#505f79',
			'font-size'      => '20px',
			'line-height'    => '1.5',
			'letter-spacing' => '0.6px',
			'additional-css' => 'text-align:center;',
			'css-selectors'  => '.services-section h3',
		),
	),

);
