<?php
/**
 * HomePage Slider Section
 *
 * @package Fitness
 */

$menus['homepage']['child']['homepage-slider'] = array(
	'title' => esc_html__( 'Slider', 'fitness' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the slider section.', 'fitness' ),
);

$sections['homepage-slider'] = array(

	array(
		'id'        => 'home_slider',
		'type'      => 'group',
		'title'     => esc_html__( 'Slider', 'fitness' ),
		'sub_desc'  => esc_html__( 'Add slider appearing on the homepage.', 'fitness' ),
		'groupname' => esc_html__( 'Slider', 'fitness' ),
		'subfields' => array(
			array(
				'id'    => 'slider_title',
				'type'  => 'text',
				'title' => esc_html__( 'Text', 'fitness' ),
			),
			array(
				'id'    => 'slider_title_color',
				'type'  => 'color',
				'title' => esc_html__( 'Text Color', 'fitness' ),
				'std'   => '#ffffff',
			),
			array(
				'id'    => 'slider_desc',
				'type'  => 'textarea',
				'title' => esc_html__( 'Description', 'fitness' ),
			),
			array(
				'id'    => 'slider_desc_color',
				'type'  => 'color',
				'title' => esc_html__( 'Description Color', 'fitness' ),
				'std'   => '#ffffff',
			),
			array(
				'id'    => 'slider_button_text',
				'type'  => 'text',
				'title' => esc_html__( 'Button Text', 'fitness' ),
			),
			array(
				'id'    => 'slider_button_url',
				'type'  => 'text',
				'title' => esc_html__( 'Button URL', 'fitness' ),
			),
			array(
				'id'    => 'slider_button_text_color',
				'type'  => 'color',
				'title' => esc_html__( 'Button Text Color', 'fitness' ),
				'std'   => '#ffffff',
			),
			array(
				'id'    => 'slider_button_bg_color',
				'type'  => 'color',
				'title' => esc_html__( 'Button Background Color', 'fitness' ),
				'std'   => '#00bc58',
			),
			array(
				'id'     => 'slider_background',
				'type'   => 'upload',
				'title'  => esc_html__( 'Uplaod Slider\'s Background Image', 'fitness' ),
				'return' => 'url',
			),
			array(
				'id'       => 'slider_overlay',
				'type'     => 'color',
				'title'    => esc_html__( 'Slider Overlay Color', 'fitness' ),
				'sub_desc' => esc_html__( 'Select overlay color for slider from here.', 'fitness' ),
				'args'     => array( 'opacity' => true ),
				'std'      => 'rgba(9,30,66,0.55)',
			),
		),
		'std'       => array(
			'1' => array(
				'group_sort'         => '1',
				'slider_title'       => 'Train hard',
				'slider_desc'        => 'Get knowledge and motivation like you\'ve never experienced before',
				'slider_button_text' => 'Start a project',
				'slider_button_url'  => '#',
				'slider_background'  => get_template_directory_uri() . '/images/slider-1-bg.jpg',
			),
			'2' => array(
				'group_sort'         => '2',
				'slider_title'       => 'Work hard',
				'slider_desc'        => 'Get knowledge and motivation like you\'ve never experienced before',
				'slider_button_text' => 'Start a project',
				'slider_button_url'  => '#',
				'slider_background'  => get_template_directory_uri() . '/images/slider-2-bg.jpg',
			),
		),
	),

	array(
		'id'       => 'slider_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Content Position', 'fitness' ),
		'sub_desc' => esc_html__( 'Set slider section padding from here.', 'fitness' ),
		'std'      => array(
			'top'    => 'auto',
			'right'  => 'auto',
			'bottom' => '290px',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'slider_height',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Slider Min Height', 'fitness' ),
		'sub_desc' => esc_html__( 'Set slider min height of from here in px.', 'fitness' ),
		'std'      => '960',
		'args'     => array( 'type' => 'number' ),
	),

	array(
		'id'    => 'slider_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'fitness' ),
		'color' => false,
		'std'   => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '800',
			'font-size'      => '60px',
			'line-height'    => '1',
			'letter-spacing' => '3px',
			'css-selectors'  => '.slider-section .slider-title',
		),
	),

	array(
		'id'    => 'slider_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Font', 'fitness' ),
		'color' => false,
		'std'   => array(
			'preview-text'   => 'Text',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '400',
			'font-size'      => '24px',
			'line-height'    => '40px',
			'letter-spacing' => '0.5px',
			'css-selectors'  => '.slider-section .slider-text',
		),
	),

);
