<?php
/**
 * HomePage Teams Section
 *
 * @package Fitness
 */

$menus['homepage']['child']['homepage-teams'] = array(
	'title' => esc_html__( 'Teams', 'fitness' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the teams section.', 'fitness' ),
);

$sections['homepage-teams'] = array(

	array(
		'id'       => 'teams_heading',
		'type'     => 'text',
		'title'    => esc_html__( 'Heading', 'fitness' ),
		'sub_desc' => esc_html__( 'Enter heading from here.', 'fitness' ),
		'std'      => esc_html__( 'Meet the team', 'fitness' ),
	),

	array(
		'id'       => 'teams_subheading',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Subheading', 'fitness' ),
		'sub_desc' => esc_html__( 'Enter subheading from here.', 'fitness' ),
		'std'      => esc_html__( 'Our team members', 'fitness' ),
	),

	array(
		'id'       => 'teams_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Teams background', 'fitness' ),
		'sub_desc' => esc_html__( 'Set teams section background color, pattern and image from here.', 'fitness' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/teams-section-bg.jpg',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'        => 'home_teams',
		'type'      => 'group',
		'title'     => esc_html__( 'Teams', 'fitness' ),
		'sub_desc'  => esc_html__( 'Add teams item appearing on the homepage teams section.', 'fitness' ),
		'groupname' => esc_html__( 'Team', 'fitness' ),
		'subfields' => array(
			array(
				'id'       => 'team_title',
				'type'     => 'text',
				'title'    => esc_html__( 'Member Name', 'fitness' ),
				'sub_desc' => esc_html__( 'Enter team member name from here.', 'fitness' ),
			),
			array(
				'id'       => 'team_image',
				'type'     => 'upload',
				'title'    => esc_html__( 'Member Profile Pic', 'fitness' ),
				'sub_desc' => esc_html__( 'Upload member profile pic from here. Recommended size: 150 x 150 in px', 'fitness' ),
				'return'   => 'url',
			),
			array(
				'id'       => 'team_profession',
				'type'     => 'text',
				'title'    => esc_html__( 'Member Profession', 'fitness' ),
				'sub_desc' => esc_html__( 'Enter member profession from here.', 'fitness' ),
			),
			array(
				'id'    => 'team_link',
				'type'  => 'text',
				'title' => esc_html__( 'URL', 'fitness' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_sort'      => '1',
				'team_title'      => 'Chester Padillia',
				'team_profession' => 'Trainer',
				'team_image'      => get_template_directory_uri() . '/images/team-1.png',
				'team_link'       => '#',
			),
			'2' => array(
				'group_sort'      => '2',
				'team_title'      => 'Devin Lawrence',
				'team_profession' => 'Trainer',
				'team_image'      => get_template_directory_uri() . '/images/team-2.png',
				'team_link'       => '#',
			),
			'3' => array(
				'group_sort'      => '3',
				'team_title'      => 'Rodney Powers',
				'team_profession' => 'Trainer',
				'team_image'      => get_template_directory_uri() . '/images/team-3.png',
				'team_link'       => '#',
			),
		),
	),

	array(
		'id'       => 'teams_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Profile Pic border radius', 'fitness' ),
		'sub_desc' => esc_html__( 'Update pic border radius in px.', 'fitness' ),
		'std'      => '100',
		'args'     => array( 'type' => 'number' ),
	),

	array(
		'id'       => 'teams_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'fitness' ),
		'sub_desc' => esc_html__( 'Set Teams section padding from here.', 'fitness' ),
		'std'      => array(
			'top'    => '70px',
			'right'  => '0',
			'bottom' => '20px',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'teams_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'fitness' ),
		'sub_desc' => esc_html__( 'Set Teams section margin from here.', 'fitness' ),
		'std'      => array(
			'top'    => '100px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'    => 'teams_heading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Heading Font', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Heading Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Muli',
			'font-weight'    => '800',
			'color'          => '#ffffff',
			'font-size'      => '40px',
			'letter-spacing' => '1px',
			'line-height'    => '1.2',
			'css-selectors'  => '.teams-section h2',
		),
	),

	array(
		'id'    => 'teams_subheading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subheading Font', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Subheading Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Muli',
			'font-weight'    => '400',
			'color'          => '#ffffff',
			'font-size'      => '26px',
			'letter-spacing' => '1px',
			'line-height'    => '1.3',
			'css-selectors'  => '.teams-section p.sub-heading',
		),
	),

	array(
		'id'    => 'teams_name_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Name Font', 'fitness' ),
		'std'   => array(
			'preview-text'  => 'Title',
			'preview-color' => 'dark',
			'font-family'   => 'Muli',
			'font-weight'   => '600',
			'color'         => '#ffffff',
			'font-size'     => '25px',
			'line-height'   => '1.5',
			'css-selectors' => '.teams-section h3',
		),
	),

	array(
		'id'    => 'teams_profession_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Profession Font', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'dark',
			'font-family'    => 'Muli',
			'font-weight'    => '400',
			'color'          => '#ffffff',
			'font-size'      => '20px',
			'letter-spacing' => '1px',
			'additional-css' => 'text-transform:uppercase;',
			'css-selectors'  => '.teams-section p.team-profession',
		),
	),

);
