<?php
/**
 * HomePage 3 Column Grid Section
 *
 * @package Fitness
 */

$menus['homepage']['child']['homepage-three-column-grid'] = array(
	'title' => esc_html__( '3 Column Grid', 'fitness' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the 3 Column Grid section.', 'fitness' ),
);

$sections['homepage-three-column-grid'] = array(

	array(
		'id'        => 'home_threegrid',
		'type'      => 'group',
		'title'     => esc_html__( '3 Column Grid', 'fitness' ),
		'sub_desc'  => esc_html__( 'Add grid item appearing on the homepage 3 Column Grid section.', 'fitness' ),
		'groupname' => esc_html__( 'Grid', 'fitness' ),
		'subfields' => array(
			array(
				'id'    => 'threegrid_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Icon', 'fitness' ),
			),
			array(
				'id'       => 'threegrid_icon_color',
				'type'     => 'color',
				'title'    => esc_html__( 'Select icon color', 'fitness' ),
				'sub_desc' => esc_html__( 'The icon color will also be shown as hover state background color on grid item.', 'fitness' ),
				//'args'  => array( 'opacity' => true ),
				'std'      => '#00bc58',
			),
			array(
				'id'    => 'threegrid_text',
				'type'  => 'text',
				'title' => esc_html__( 'Text', 'fitness' ),
			),
			array(
				'id'    => 'threegrid_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'fitness' ),
			),
			array(
				'id'    => 'threegrid_link',
				'type'  => 'text',
				'title' => esc_html__( 'URL', 'fitness' ),
			),
			array(
				'id'       => 'threegrid_bg_color',
				'type'     => 'color',
				'title'    => esc_html__( 'Background Color', 'fitness' ),
				'sub_desc' => esc_html__( 'The background color will be shown on normal state', 'fitness' ),
				'std'      => '#f4f5f7',
			),
			array(
				'id'       => 'threegrid_image',
				'type'     => 'upload',
				'title'    => esc_html__( 'Upload Grid background image', 'fitness' ),
				'sub_desc' => esc_html__( 'Recommended size: 370 x 220 in px. The background image will be shown on hover state.', 'fitness' ),
				'return'   => 'url',
			),
		),
		'std'       => array(
			'1' => array(
				'group_sort'           => '1',
				'threegrid_icon'       => 'eercast',
				'threegrid_icon_color' => '#00bc58',
				'threegrid_text'       => 'Workout with us',
				'threegrid_title'      => 'Feel the force',
				'threegrid_link'       => '#',
				'threegrid_bg_color'   => '#f4f5f7',
				'threegrid_image'      => get_template_directory_uri() . '/images/three-grid-1.jpg',
			),
			'2' => array(
				'group_sort'           => '2',
				'threegrid_icon'       => 'free-code-camp',
				'threegrid_icon_color' => '#00bc58',
				'threegrid_text'       => 'Have fun with us',
				'threegrid_title'      => 'Join the team',
				'threegrid_link'       => '#',
				'threegrid_bg_color'   => '#f4f5f7',
				'threegrid_image'      => get_template_directory_uri() . '/images/three-grid-2.jpg',
			),
			'3' => array(
				'group_sort'           => '3',
				'threegrid_icon'       => 'phone',
				'threegrid_icon_color' => '#00bc58',
				'threegrid_text'       => 'Contact Us',
				'threegrid_title'      => '+61 3 8376 6284',
				'threegrid_link'       => '#',
				'threegrid_bg_color'   => '#f4f5f7',
				'threegrid_image'      => get_template_directory_uri() . '/images/three-grid-3.jpg',
			),
		),
	),

	array(
		'id'       => 'threegrid_background',
		'type'     => 'background',
		'title'    => esc_html__( '3 Column Grid Background', 'fitness' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'fitness' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'threegrid_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'fitness' ),
		'sub_desc' => esc_html__( 'Set 3 Column Grid section padding from here.', 'fitness' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'threegrid_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'fitness' ),
		'sub_desc' => esc_html__( 'Set 3 Column Grid section margin from here.', 'fitness' ),
		'std'      => array(
			'top'    => '30px',
			'right'  => '0',
			'bottom' => '30px',
			'left'   => '0',
		),
	),

	array(
		'id'    => 'threegrid_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Font', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Text',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '600',
			'color'          => '#091e42',
			'font-size'      => '16px',
			'line-height'    => '23px',
			'letter-spacing' => '1px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.threegrid-section p',
		),
	),

	array(
		'id'    => 'threegrid_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'fitness' ),
		'std'   => array(
			'preview-text'  => 'Title',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '700',
			'color'         => '#091e42',
			'font-size'     => '30px',
			'line-height'   => '1',
			'css-selectors' => '.threegrid-section h3',
		),
	),

);
