<?php
/**
 * HomePage 2 Column CTA Section
 *
 * @package Fitness
 */

$menus['homepage']['child']['homepage-two-column-cta'] = array(
	'title' => esc_html__( '2 Column CTA', 'fitness' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the 2 Column CTA section.', 'fitness' ),
);

$sections['homepage-two-column-cta'] = array(

	array(
		'id'       => 'twocolumn_heading',
		'type'     => 'text',
		'title'    => esc_html__( 'Heading', 'fitness' ),
		'sub_desc' => esc_html__( 'Enter heading from here.', 'fitness' ),
		'std'      => esc_html__( 'For better classes matching', 'fitness' ),
	),

	array(
		'id'       => 'twocolumn_subheading',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Subheading', 'fitness' ),
		'sub_desc' => esc_html__( 'Enter subheading from here.', 'fitness' ),
		'std'      => esc_html__( 'We have divided them into two groups', 'fitness' ),
	),

	array(
		'id'       => 'twocolumn_left',
		'type'     => 'switch',
		'title'    => esc_html__( 'Left Side Image', 'fitness' ),
		'sub_desc' => esc_html__( 'Use this button to Show or Hide the Left Side Image.', 'fitness' ),
		'std'      => '1',
	),

	array(
		'id'         => 'twocolumn_left_image',
		'type'       => 'background',
		'title'      => esc_html__( 'Upload Left Side Image', 'fitness' ),
		'sub_desc'   => wp_kses( __( 'Upload Left side image from here <strong>Recommend Size <br />800x630px</strong>. This image will be shown on the left side <br /> of 2 Column CTA', 'fitness' ), array( 'strong' => array(), 'br' => array() ) ),
		'options'    => array(
			'color'         => '',        // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/fitness-girl.jpg',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'center center',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'twocolumn_left',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'twocolumn_left_title',
		'type'       => 'text',
		'title'      => esc_html__( 'Left Side Title', 'fitness' ),
		'sub_desc'   => esc_html__( 'Enter title for left side image from here.', 'fitness' ),
		'std'        => esc_html__( 'Women Classes', 'fitness' ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'twocolumn_left',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'twocolumn_left_url',
		'type'       => 'text',
		'title'      => esc_html__( 'Left Side Title URL', 'fitness' ),
		'sub_desc'   => esc_html__( 'Enter title URL.', 'fitness' ),
		'std'        => '#',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'twocolumn_left',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'twocolumn_left_overlay',
		'type'       => 'color',
		'title'      => esc_html__( 'Left Image Overlay Color', 'fitness' ),
		'sub_desc'   => esc_html__( 'Select overlay color for left side image from here.', 'fitness' ),
		'std'        => 'rgba(9,30,66,0.65)',
		'args'       => array( 'opacity' => true ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'twocolumn_left',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'       => 'twocolumn_right',
		'type'     => 'switch',
		'title'    => esc_html__( 'Right Side Image', 'fitness' ),
		'sub_desc' => esc_html__( 'Use this button to Show or Hide the Right Side Image.', 'fitness' ),
		'std'      => '1',
	),

	array(
		'id'         => 'twocolumn_right_image',
		'type'       => 'background',
		'title'      => esc_html__( 'Upload Right Side Image', 'fitness' ),
		'sub_desc'   => wp_kses( __( 'Upload right side image from here <strong>Recommend Size <br />800x630px</strong>. This image will be shown on the right side <br /> of 2 Column CTA', 'fitness' ), array( 'strong' => array(), 'br' => array() ) ),
		'options'    => array(
			'color'         => '',        // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/fitness-boy.jpg',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'center center',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'twocolumn_right',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'twocolumn_right_title',
		'type'       => 'text',
		'title'      => esc_html__( 'Right Side Title', 'fitness' ),
		'sub_desc'   => esc_html__( 'Enter title for right side image from here.', 'fitness' ),
		'std'        => esc_html__( 'Men Classes', 'fitness' ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'twocolumn_right',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'twocolumn_right_url',
		'type'       => 'text',
		'title'      => esc_html__( 'Right Side Title URL', 'fitness' ),
		'sub_desc'   => esc_html__( 'Enter title URL.', 'fitness' ),
		'std'        => '#',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'twocolumn_right',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'twocolumn_right_overlay',
		'type'       => 'color',
		'title'      => esc_html__( 'Right Image Overlay Color', 'fitness' ),
		'sub_desc'   => esc_html__( 'Select overlay color for right side image from here.', 'fitness' ),
		'std'        => 'rgba(9,30,66,0.65)',
		'args'       => array( 'opacity' => true ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'twocolumn_right',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'       => 'twocolumn_button',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show 2 Column CTA Button', 'fitness' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>2 Column CTA Button</strong> completely.', 'fitness' ), array( 'strong' => '' ) ),
		'std'      => '1',
	),

	array(
		'id'         => 'twocolumn_button_text',
		'type'       => 'text',
		'title'      => esc_html__( 'Button Text', 'fitness' ),
		'sub_desc'   => esc_html__( 'Enter button text.', 'fitness' ),
		'std'        => esc_html__( 'Show me all classes', 'fitness' ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'twocolumn_button',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'twocolumn_button_url',
		'type'       => 'text',
		'title'      => esc_html__( 'Button URL', 'fitness' ),
		'sub_desc'   => esc_html__( 'Enter button URL.', 'fitness' ),
		'std'        => '#',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'twocolumn_button',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'twocolumn_button_bg',
		'type'       => 'color',
		'title'      => esc_html__( 'Button Background Color', 'fitness' ),
		'sub_desc'   => esc_html__( '2 Column CTA button background color', 'fitness' ),
		'std'        => '#00bc58',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'twocolumn_button',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'       => 'twocolumn_button_back_bg',
		'type'     => 'color',
		'title'    => esc_html__( 'CTA Button Background Color', 'fitness' ),
		'sub_desc' => esc_html__( '2 Column CTA button backside background color, it will be shown back to CTA button.', 'fitness' ),
		'std'      => '#091e42',
	),

	array(
		'id'       => 'twocolumn_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'fitness' ),
		'sub_desc' => esc_html__( 'Set 2 Column CTA section padding from here.', 'fitness' ),
		'std'      => array(
			'top'    => '100px',
			'right'  => '0',
			'bottom' => '30px',
			'left'   => '0',
		),
	),

	array(
		'id'    => 'twocolumn_heading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Heading Font', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Heading Font',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '800',
			'color'          => '#091e42',
			'font-size'      => '40px',
			'line-height'    => '1.2',
			'letter-spacing' => '1px',
			'css-selectors'  => '.twogrid-section h2',
		),
	),

	array(
		'id'    => 'twocolumn_subheading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subheading Font', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Subheading Font',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '400',
			'color'          => '#505f79',
			'font-size'      => '26px',
			'line-height'    => '1.3',
			'letter-spacing' => '0.5px',
			'css-selectors'  => '.twogrid-section p.sub-heading',
		),
	),

	array(
		'id'    => 'twocolumn_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'dark',
			'font-family'    => 'Muli',
			'font-weight'    => '800',
			'color'          => '#ffffff',
			'font-size'      => '35px',
			'line-height'    => '40px',
			'letter-spacing' => '1px',
			'css-selectors'  => '.twogrid-section h3',
		),
	),

	array(
		'id'    => 'twocolumn_button_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Button Font', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'dark',
			'font-family'    => 'Muli',
			'font-weight'    => '800',
			'color'          => '#ffffff',
			'font-size'      => '18px',
			'letter-spacing' => '0.5px',
			'css-selectors'  => '.twogrid-section .button',
		),
	),

);
