<?php
/**
 * Single Subscribe
 *
 * @package Fitness
 */

$menus['single-authorbox'] = array(
	'title' => esc_html__( 'Author Box', 'fitness' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Author box in single posts page.', 'fitness' ),
);

$mts_patterns = array(
	'nobg' => array( 'img' => $uri . 'bg-patterns/nobg.png' ),
);
for ( $i = 0; $i <= 52; $i++ ) {
	$mts_patterns[ 'pattern' . $i ] = array( 'img' => $uri . 'bg-patterns/pattern' . $i . '.png' );
}

for ( $i = 1; $i <= 29; $i++ ) {
	$mts_patterns[ 'hbg' . $i ] = array( 'img' => $uri . 'bg-patterns/hbg' . $i . '.png' );
}

$sections['single-authorbox'] = array(

	array(
		'id'    => 'single_authorbox_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author box Settings', 'fitness' ),
	),
	array(
		'id'       => 'single_authorbox_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Author box Background', 'fitness' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for subscribe box from here.', 'fitness' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#091e42',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'author_box_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Author Box Title', 'fitness' ),
		'sub_desc' => esc_html__( 'Enter author box title.', 'fitness' ),
		'std'      => '',
	),
	array(
		'id'       => 'single_authorbox_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'fitness' ),
		'sub_desc' => esc_html__( 'Set Author box margin from here.', 'fitness' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '70px',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_authorbox_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'fitness' ),
		'sub_desc' => esc_html__( 'Set Author box padding from here.', 'fitness' ),
		'std'      => array(
			'top'    => '30px',
			'right'  => '30px',
			'bottom' => '30px',
			'left'   => '30px',
		),
	),
	array(
		'id'       => 'single_authorbox_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'magnus' ),
		'sub_desc' => esc_html__( 'Select border', 'magnus' ),
	),
	array(
		'id'       => 'single_authorbox_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'fitness' ),
		'sub_desc' => esc_html__( 'Author box border radius.', 'fitness' ),
		'std'      => '0',
		'args'     => array( 'type' => 'number' ),
	),

	array(
		'id'    => 'single_authorbox_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Box Title Font', 'fitness' ),
		'std'   => array(
			'preview-text'  => 'Author Box Title Font',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '700',
			'font-size'     => '24px',
			'line-height'   => '1',
			'color'         => '#091e42',
			'css-selectors' => '.postauthor h4',
		),
	),
	array(
		'id'    => 'single_authorbox_author_name_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Box Name Font', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Author Box Name Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Muli',
			'font-weight'    => '700',
			'font-size'      => '16px',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform:uppercase;',
			'css-selectors'  => '.postauthor h5, .postauthor h5 a',
		),
	),
	array(
		'id'    => 'single_authorbox_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Box Text Font', 'fitness' ),
		'std'   => array(
			'preview-text'  => 'Author Box Text Font',
			'preview-color' => 'dark',
			'font-family'   => 'Muli',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'line-height'   => '25px',
			'color'         => '#c1c7d0',
			'css-selectors' => '.postauthor p',
		),
	),

	array(
		'id'    => 'single_author_img_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author Image Settings', 'fitness' ),
	),
	array(
		'id'       => 'single_author_image_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'fitness' ),
		'sub_desc' => esc_html__( 'Set Author image margin from here.', 'fitness' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '30px',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_author_image_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'fitness' ),
		'sub_desc' => esc_html__( 'Author image border radius.', 'fitness' ),
		'std'      => '90',
		'args'     => array( 'type' => 'number' ),
	),

	array(
		'id'    => 'single_authorbox_social_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author box Social Settings', 'fitness' ),
	),

	array(
		'id'       => 'authorbox_social_share',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Author Social Share', 'fitness' ),
		'sub_desc' => esc_html__( 'Enable/Disable author social share in the authorbox.', 'fitness' ),
		'std'      => '1',
	),
	array(
		'id'         => 'author_social_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Margin', 'fitness' ),
		'sub_desc'   => esc_html__( 'Set author social share margin from here.', 'fitness' ),
		'std'        => array(
			'top'    => '0',
			'right'  => '10',
			'bottom' => '10',
			'left'   => '0',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'authorbox_social_share',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'author_social_width',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Social Width', 'fitness' ),
		'sub_desc'   => esc_html__( 'Set author social width from here.', 'fitness' ),
		'std'        => '30',
		'args'       => array( 'type' => 'number' ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'authorbox_social_share',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'author_social_height',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Social Height', 'fitness' ),
		'sub_desc'   => esc_html__( 'Set author social height from here.', 'fitness' ),
		'std'        => '30',
		'args'       => array( 'type' => 'number' ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'authorbox_social_share',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'author_social_border_radius',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Social border radius', 'fitness' ),
		'sub_desc'   => esc_html__( 'Set author social border radius from here.', 'fitness' ),
		'std'        => '20',
		'args'       => array( 'type' => 'number' ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'authorbox_social_share',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

);
