<?php
/**
 * Single Styling
 *
 * @package Fitness
 */

$menus['single-styling'] = array(
	'title' => esc_html__( 'Single Styling', 'fitness' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your single posts page.', 'fitness' ),
);

$sections['single-styling'] = array(

	array(
		'id'    => 'single_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Single Titles Styling', 'fitness' ),
	),

	array(
		'id'       => 'single_title_alignment',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Single Page Title Alignment', 'fitness' ),
		'sub_desc' => esc_html__( 'Choose the single page title alignment', 'fitness' ),
		'options'  => array(
			'left'   => esc_html__( 'Left', 'fitness' ),
			'center' => esc_html__( 'Center', 'fitness' ),
			'right'  => esc_html__( 'Right', 'fitness' ),
		),
		'std'      => 'left',
	),

	array(
		'id'       => 'single_title_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Single Page Title Background Color', 'fitness' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'fitness' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'single_title_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Page Title Padding', 'fitness' ),
		'sub_desc' => esc_html__( 'Set single page title padding from here.', 'fitness' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_title_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'fitness' ),
		'sub_desc' => esc_html__( 'Select border', 'fitness' ),
	),
	array(
		'id'    => 'single_page_titles_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comment Section Title', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '600',
			'font-size'      => '27px',
			'line-height'    => '1',
			'color'          => '#091e42',
			'letter-spacing' => '0.5px',
			'css-selectors'  => '#respond h3, #respond h4, .total-comments',
		),
	),

	array(
		'id'    => 'mts_single_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Single Styling', 'fitness' ),
	),

	array(
		'id'       => 'single_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Background', 'fitness' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image of Single, Page, Archive, Search, Category and 404 Page from here.', 'fitness' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'mts_single_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Margin', 'fitness' ),
		'sub_desc' => esc_html__( 'Set single post margin from here.', 'fitness' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '0',
			'bottom' => '20px',
		),
	),
	array(
		'id'       => 'mts_single_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Padding', 'fitness' ),
		'sub_desc' => esc_html__( 'Set single post padding from here.', 'fitness' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_styling_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'fitness' ),
		'sub_desc' => esc_html__( 'Select border', 'fitness' ),
	),
	array(
		'id'         => 'single_category_post_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Single Category Font', 'fitness' ),
		'std'        => array(
			'preview-text'   => 'Single Category',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '600',
			'font-size'      => '16px',
			'color'          => '#00bc58',
			'letter-spacing' => '2px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.thesinglecategory a',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'single_category_post',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'    => 'mts_single_meta_info_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Meta Info Font', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Post Meta Info Font',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '400',
			'font-size'      => '14px',
			'color'          => '#091e42',
			'letter-spacing' => '0.5px',
			'additional-css' => 'text-transform: capitalize;',
			'css-selectors'  => '.single_post .post-info',
		),
	),

);
