<?php
/**
 * Single Tab
 *
 * @package Fitness
 */

$menus['single-general'] = array(
	'title' => esc_html__( 'General', 'fitness' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your single posts page.', 'fitness' ),
);

$sections['single-general'] = array(

	array(
		'id'       => 'show_single_featured',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Featured image', 'fitness' ),
		'sub_desc' => esc_html__( 'Enable/Disable the Featured images in the single post.', 'fitness' ),
		'std'      => '1',
	),

	array(
		'id'       => 'mts_single_post_layout',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Single Post Layout', 'fitness' ),
		'sub_desc' => esc_html__( 'Customize the look of single posts', 'fitness' ),
		'options'  => array(
			'enabled'  => array(
				'content' => array(
					'label'     => esc_html__( 'Post Content', 'fitness' ),
					'subfields' => array(),
				),
				'tags'    => array(
					'label'     => esc_html__( 'Tags', 'fitness' ),
					'subfields' => array(
						array(
							'id'    => 'tags_bgcolor',
							'type'  => 'color',
							'title' => esc_html__( 'Tags background color', 'fitness' ),
							'std'   => '#f4f5f7',
						),
					),
				),
				'author'  => array(
					'label'     => esc_html__( 'Author Box', 'fitness' ),
					'subfields' => array(),
				),
				'related' => array(
					'label'     => esc_html__( 'Related Posts', 'fitness' ),
					'subfields' => array(
						array(
							'id'       => 'related_post_title',
							'type'     => 'text',
							'title'    => esc_html__( 'Related Posts Title', 'fitness' ),
							'sub_desc' => esc_html__( 'Enter the title text to show in the related posts section.', 'fitness' ),
							'std'      => 'Related Posts',
						),
						array(
							'id'       => 'mts_related_posts_taxonomy',
							'type'     => 'switch',
							'title'    => esc_html__( 'Related Posts Taxonomy', 'fitness' ),
							'options'  => array(
								'tags'       => esc_html__( 'Tags', 'fitness' ),
								'categories' => esc_html__( 'Categories', 'fitness' ),
							),
							'class'    => 'green',
							'sub_desc' => esc_html__( 'Related Posts based on tags or categories.', 'fitness' ),
							'std'      => 'categories',
						),
					),
				),
			),
			'disabled' => array(
				'subscribe' => array(
					'label'     => esc_html__( 'Subscribe Box', 'fitness' ),
					'subfields' => array(),
				),
			),
		),
	),

	array(
		'id'       => 'single_category_post',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show category on single post', 'fitness' ),
		'sub_desc' => esc_html__( 'Use this button to show or hide category on single post.', 'fitness' ),
		'std'      => '1',
	),

	array(
		'id'         => 'single_category_post_background',
		'type'       => 'color',
		'title'      => esc_html__( 'Single Category Background Color', 'fitness' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'fitness' ),
		'std'        => '',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'single_category_post',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'       => 'mts_single_headline_meta_info',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Single Meta Info', 'fitness' ),
		'sub_desc' => esc_html__( 'Organize how you want the post meta info to appear on single page', 'fitness' ),
		'options'  => array(
			'enabled'  => array(
				'author'  => array(
					'label'     => esc_html__( 'Author Name', 'fitness' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'fitness' ),
						),
					),
				),
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'fitness' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'fitness' ),
							'std'   => 'comment',
						),
					),
				),
			),
			'disabled' => array(
				'date' => array(
					'label'     => esc_html__( 'Date', 'fitness' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'fitness' ),
						),
					),
				),
			),
		),
	),

	array(
		'id'       => 'single_meta_info_background',
		'type'     => 'color',
		'title'    => esc_html__( 'Single Meta Info Background Color', 'fitness' ),
		'sub_desc' => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'fitness' ),
		'std'      => '#f4f5f7',
	),

	array(
		'id'       => 'mts_author_comment',
		'type'     => 'switch',
		'title'    => esc_html__( 'Highlight Author Comment', 'fitness' ),
		'sub_desc' => esc_html__( 'Use this button to highlight author comments.', 'fitness' ),
		'std'      => '1',
	),

	array(
		'id'       => 'mts_comment_date',
		'type'     => 'switch',
		'title'    => esc_html__( 'Date in Comments', 'fitness' ),
		'sub_desc' => esc_html__( 'Use this button to show the date for comments.', 'fitness' ),
		'std'      => '1',
	),
);
