<?php
/**
 * Social Tab
 *
 * @package Fitness
 */

$menus['social'] = array(
	'icon'  => 'fa-users',
	'title' => esc_html__( 'Social Share', 'fitness' ),
	'desc'  => esc_html__( 'Enable or disable social sharing buttons on single posts using these buttons.', 'fitness' ),
);

$menus['social']['child']['social-general'] = array(
	'title' => esc_html__( 'General', 'fitness' ),
	'desc'  => esc_html__( 'From here, you can control the elements of social sharing buttons.', 'fitness' ),
);

$sections['social-general'] = array(

	array(
		'id'       => 'social_button_layout',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Social Sharing Buttons Layout', 'fitness' ),
		'sub_desc' => wp_kses( __( 'Choose default <strong>social sharing buttons</strong> layout or modern <strong>social sharing buttons</strong> layout for your site. ', 'fitness' ), array( 'strong' => array() ) ),
		'options'  => array(
			'default'      => array( 'img' => $uri . 'social/default.jpg' ),
			'circwithname' => array( 'img' => $uri . 'social/circwithname.jpg' ),
			'standard'     => array( 'img' => $uri . 'social/standard.jpg' ),
			'circular'     => array( 'img' => $uri . 'social/circular.jpg' ),
		),
		'std'      => 'circwithname',
	),

	array(
		'id'       => 'mts_social_buttons_floating',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Floating Social Share Buttons', 'fitness' ),
		'options'  => array(
			'0' => esc_html__( 'Off', 'fitness' ),
			'1' => esc_html__( 'On', 'fitness' ),
		),
		'sub_desc' => wp_kses( __( 'Use this button to show or hide floating social share button. The position of floating social share is <strong>fixed</strong> and <strong>will not changed by below button position</strong>.', 'fitness' ), array( 'strong' => array() ) ),
		'std'      => '1',
	),

	array(
		'id'       => 'mts_social_button_position',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Social Sharing Buttons Position', 'fitness' ),
		'options'  => array(
			'none'   => esc_html__( 'None', 'fitness' ),
			'top'    => esc_html__( 'Above Content', 'fitness' ),
			'bottom' => esc_html__( 'Below Content', 'fitness' ),
		),
		'sub_desc' => wp_kses( __( 'Choose position for Social Sharing Buttons. <strong>This will not change the position of floating social share button</strong>.', 'fitness' ), array( 'strong' => array() ) ),
		'std'      => 'none',
		'class'    => 'green',
	),

	array(
		'id'       => 'mts_social_buttons_on_pages',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Social Sharing Buttons on Pages', 'fitness' ),
		'options'  => array(
			'0' => esc_html__( 'Off', 'fitness' ),
			'1' => esc_html__( 'On', 'fitness' ),
		),
		'sub_desc' => esc_html__( 'Enable the sharing buttons for pages too, not just posts.', 'fitness' ),
		'std'      => '0',
	),

	array(
		'id'       => 'mts_social_buttons',
		'type'     => 'layout',
		'title'    => esc_html__( 'Social Media Buttons', 'fitness' ),
		'sub_desc' => esc_html__( 'Organize how you want the social sharing buttons to appear on single posts', 'fitness' ),
		'options'  => array(
			'enabled'  => array(
				'facebookshare' => esc_html__( 'Facebook Share', 'fitness' ),
				'twitter'       => esc_html__( 'Twitter', 'fitness' ),
				'pinterest'     => esc_html__( 'Pinterest', 'fitness' ),
				'reddit'        => esc_html__( 'Reddit', 'fitness' ),
			),
			'disabled' => array(
				'facebook' => esc_html__( 'Facebook Like', 'fitness' ),
				'linkedin' => esc_html__( 'LinkedIn', 'fitness' ),
				'stumble'  => esc_html__( 'StumbleUpon', 'fitness' ),
			),
		),
		'std'      => array(
			'enabled'  => array(
				'facebookshare' => esc_html__( 'Facebook Share', 'fitness' ),
				'twitter'       => esc_html__( 'Twitter', 'fitness' ),
				'pinterest'     => esc_html__( 'Pinterest', 'fitness' ),
				'reddit'        => esc_html__( 'Reddit', 'fitness' ),
			),
			'disabled' => array(
				'facebook' => esc_html__( 'Facebook Like', 'fitness' ),
				'linkedin' => esc_html__( 'LinkedIn', 'fitness' ),
				'stumble'  => esc_html__( 'StumbleUpon', 'fitness' ),
			),
		),
	),

);
