<?php
/**
 * Typography tab
 *
 * @package Fitness
 */

$menus['typography-collection'] = array(
	'icon'       => 'fa-text-width',
	'title'      => esc_html__( 'Typography', 'fitness' ),
	'hide_title' => true,
);

$sections['typography-collection'] = array(

	array(
		'id'    => 'typography-collections',
		'type'  => 'typography_collections',
		'title' => esc_html__( 'Theme Typography', 'fitness' ),
		'desc'  => esc_html__( 'From here, you can control the fonts used on your site. You can choose from 17 standard font sets, or from the Google Fonts Library containing 800+ fonts.', 'fitness' ),
	),

	array(
		'id'    => 'fitness_home_logo',
		'type'  => 'typography',
		'title' => esc_html__( 'Home Logo Font', 'fitness' ),
		'std'   => array(
			'preview-text'  => 'Logo',
			'preview-color' => 'dark',
			'font-family'   => 'Arvo',
			'font-weight'   => '400',
			'font-size'     => '30px',
			'color'         => '#ffffff',
			'css-selectors' => '.home-header #logo a',
		),
	),

	array(
		'id'    => 'fitness_logo',
		'type'  => 'typography',
		'title' => esc_html__( 'Logo Font', 'fitness' ),
		'std'   => array(
			'preview-text'  => 'Logo',
			'preview-color' => 'dark',
			'font-family'   => 'Arvo',
			'font-weight'   => '400',
			'font-size'     => '30px',
			'color'         => '#00bc58',
			'css-selectors' => '#logo a',
		),
	),

	array(
		'id'       => 'home_secondary_navigation_font',
		'type'     => 'typography',
		'title'    => esc_html__( 'Home Primary Navigation', 'fitness' ),
		'sub_desc' => esc_html__( 'Set Homepage Primary Navigation font from here.', 'fitness' ),
		'std'      => array(
			'preview-text'   => 'Primary Navigation Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Muli',
			'font-weight'    => '600',
			'font-size'      => '17px',
			'color'          => '#ffffff',
			'letter-spacing' => '2px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.home-header #secondary-navigation a, .header-default.home-header .header-search span.sbutton',
		),
	),

	array(
		'id'       => 'secondary_navigation_font',
		'type'     => 'typography',
		'title'    => esc_html__( 'Primary Navigation', 'fitness' ),
		'sub_desc' => esc_html__( 'Set Primary Navigation font from here. The fonts changes will be shown on all the other pages except homepage.', 'fitness' ),
		'std'      => array(
			'preview-text'   => 'Primary Navigation Font',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '600',
			'font-size'      => '17px',
			'color'          => '#091e42',
			'letter-spacing' => '2px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#secondary-navigation a',
		),
	),

	array(
		'id'    => 'home_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Archive Post Titles', 'fitness' ),
		'std'   => array(
			'preview-text'  => 'Archive Article Title',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '800',
			'font-size'     => '30px',
			'line-height'   => '40px',
			'color'         => '#091e42',
			'css-selectors' => '.latestPost .title a',
		),
	),

	array(
		'id'    => 'single_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Post Title', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Single Article Title',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '600',
			'font-size'      => '27px',
			'line-height'    => '1.4',
			'color'          => '#091e42',
			'letter-spacing' => '0.5px',
			'css-selectors'  => '.single-title',
		),
	),

	array(
		'id'    => 'content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'fitness' ),
		'std'   => array(
			'preview-text'  => 'Content Font',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '400',
			'font-size'     => '18px',
			'line-height'   => '30px',
			'color'         => '#505f79',
			'css-selectors' => 'body',
		),
	),

	array(
		'id'    => 'sidebar_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Widgets Title', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '600',
			'font-size'      => '20px',
			'line-height'    => '30px',
			'color'          => '#253858',
			'letter-spacing' => '1.5px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#sidebar .widget h3.widget-title, #sidebar .widget h3.widget-title a, .widget #wp-subscribe .title',
		),
	),

	array(
		'id'    => 'sidebar_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Font', 'fitness' ),
		'std'   => array(
			'preview-text'  => 'Sidebar Font',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'line-height'   => '25px',
			'color'         => '#505f79',
			'css-selectors' => '#sidebar .widget, #sidebar .widget p, #sidebar .widget .post-excerpt',
		),
	),

	array(
		'id'    => 'sidebar_url',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Links', 'fitness' ),
		'std'   => array(
			'preview-text'  => 'Sidebar Links',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'line-height'   => '25px',
			'color'         => '#505f79',
			'css-selectors' => '.sidebar .widget a',
		),
	),

	array(
		'id'    => 'sidebar_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Posts Title', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Posts Title',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '600',
			'font-size'      => '16px',
			'line-height'    => '25px',
			'color'          => '#253858',
			'letter-spacing' => '0.5px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.sidebar .post-title a, .sidebar .entry-title a',
		),
	),

	array(
		'id'    => 'sidebar_postinfo_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Meta font', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Meta Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Muli',
			'font-weight'    => '600',
			'font-size'      => '14px',
			'line-height'    => '1.5',
			'letter-spacing' => '0.5px',
			'color'          => fitness_get_settings( 'primary_color_scheme' ),
			'css-selectors'  => '.sidebar .widget .post-info, .sidebar .widget .post-info a, .sidebar .widget .wpt_widget_content .wpt-postmeta, .sidebar .wp_review_tab_widget_content .wp-review-tab-postmeta',
		),
	),

	array(
		'id'    => 'top_footer_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Widgets Title', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Footer Title Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Muli',
			'font-weight'    => '600',
			'font-size'      => '16px',
			'color'          => '#ebecf0',
			'letter-spacing' => '1.5px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.footer-widgets h3, .brands-title, .f-widget .widget #wp-subscribe .title',
		),
	),

	array(
		'id'    => 'top_footer_link_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Link', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Footer Links',
			'preview-color'  => 'dark',
			'font-family'    => 'Muli',
			'font-weight'    => '400',
			'font-size'      => '16px',
			'line-height'    => '25px',
			'color'          => '#ebecf0',
			'letter-spacing' => '0.5px',
			'css-selectors'  => '.f-widget a, #site-footer .wpt_widget_content a, #site-footer .wp_review_tab_widget_content a',
		),
	),

	array(
		'id'    => 'top_footer_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Posts Title', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Footer Posts Title',
			'preview-color'  => 'dark',
			'font-family'    => 'Muli',
			'font-weight'    => '400',
			'font-size'      => '16px',
			'line-height'    => '25px',
			'color'          => '#ebecf0',
			'letter-spacing' => '0.5px',
			'css-selectors'  => '#site-footer .post-title a, #site-footer .entry-title a',
		),
	),

	array(
		'id'    => 'top_footer_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer font', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'Footer Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Muli',
			'font-weight'    => '400',
			'font-size'      => '16px',
			'line-height'    => '25px',
			'color'          => '#ebecf0',
			'letter-spacing' => '0.5px',
			'css-selectors'  => '.footer-widgets, footer .widget .wpt_excerpt, footer .advanced-recent-posts p, footer .popular-posts p, footer .category-posts p',
		),
	),

	array(
		'id'    => 'top_footer_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Meta font', 'fitness' ),
		'std'   => array(
			'preview-text'  => 'Footer Meta Font',
			'preview-color' => 'dark',
			'font-family'   => 'Muli',
			'font-weight'   => '400',
			'font-size'     => '13px',
			'line-height'   => '1.5',
			'color'         => '#97a0af',
			'css-selectors' => '#site-footer .widget .post-info, #site-footer .widget .post-info a, #site-footer .widget .wpt_widget_content .wpt-postmeta, #site-footer .wp_review_tab_widget_content .wp-review-tab-postmeta',
		),
	),

	array(
		'id'    => 'copyrights_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Copyrights Section', 'fitness' ),
		'std'   => array(
			'preview-text'  => 'Copyrights Font',
			'preview-color' => 'dark',
			'font-family'   => 'Muli',
			'font-weight'   => '400',
			'font-size'     => '13px',
			'color'         => '#ffffff',
			'css-selectors' => '#copyright-note',
		),
	),

	array(
		'id'    => 'h1_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H1 Heading in Content', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'H1 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '600',
			'font-size'      => '28px',
			'letter-spacing' => '0.5px',
			'color'          => '#091e42',
			'css-selectors'  => 'h1',
		),
	),

	array(
		'id'    => 'h2_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H2 Heading in Content', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'H2 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '600',
			'font-size'      => '24px',
			'letter-spacing' => '0.5px',
			'color'          => '#091e42',
			'css-selectors'  => 'h2',
		),
	),

	array(
		'id'    => 'h3_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H3 Heading in Content', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'H3 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '600',
			'font-size'      => '22px',
			'letter-spacing' => '0.5px',
			'color'          => '#091e42',
			'css-selectors'  => 'h3',
		),
	),

	array(
		'id'    => 'h4_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H4 Heading in Content', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'H4 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '600',
			'font-size'      => '20px',
			'color'          => '#091e42',
			'letter-spacing' => '0.5px',
			'css-selectors'  => 'h4',
		),
	),

	array(
		'id'    => 'h5_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H5 Heading in Content', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'H5 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '600',
			'font-size'      => '18px',
			'color'          => '#091e42',
			'letter-spacing' => '0.5px',
			'css-selectors'  => 'h5',
		),
	),

	array(
		'id'    => 'h6_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H6 Heading in Content', 'fitness' ),
		'std'   => array(
			'preview-text'   => 'H6 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '600',
			'font-size'      => '16px',
			'color'          => '#091e42',
			'letter-spacing' => '0.5px',
			'css-selectors'  => 'h6',
		),
	),

	array(
		'id'       => 'typography-subsets',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Character sets', 'fitness' ),
		'sub_desc' => esc_html__( 'Choose the character sets you wish to include. Please note that not all sets are available for all fonts.', 'fitness' ),
		'options'  => array(
			'latin'        => esc_html__( 'Latin', 'fitness' ),
			'latin-ext'    => esc_html__( 'Latin Extended', 'fitness' ),
			'cyrillic'     => esc_html__( 'Cyrillic', 'fitness' ),
			'cyrillic-ext' => esc_html__( 'Cyrillic Extended', 'fitness' ),
			'greek'        => esc_html__( 'Greek', 'fitness' ),
			'greek-ext'    => esc_html__( 'Greek Extended', 'fitness' ),
			'vietnamese'   => esc_html__( 'Vietnamese', 'fitness' ),
			'khmer'        => esc_html__( 'Khmer', 'fitness' ),
			'devanagari'   => esc_html__( 'Devanagari', 'fitness' ),
		),
		'std'      => array( 'latin' ),
	),
);
