<?php
/**
 * Header Layout 2
 *
 * @package Fitness
 */

if ( is_page_template( 'page-home.php' ) ) {
	$home_class = ' home-header';
} else {
	$home_class = '';
}
?>

<header id="site-header" class="main-header <?php echo esc_attr( fitness_get_settings( 'header_styles' ) ); echo $home_class; ?>" role="banner" itemscope itemtype="http://schema.org/WPHeader">
<?php
if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'header' ) ) {
	if ( fitness_get_settings( 'mts_sticky_nav' ) ) {
		?>
		<div class="clear" id="catcher"></div>
		<div id="header" class="sticky-navigation">
		<?php } else { ?>
		<div id="header">
		<?php } ?>
			<div class="container">
				<div class="logo-wrap">
					<?php
					if ( is_page_template( 'page-home.php' ) ) {
						fitness_logo( array(), 'home' );
					} else {
						fitness_logo();
					}
					?>
				</div>

				<div id="secondary-navigation" class="secondary-navigation" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
					<a href="#" id="pull" class="toggle-mobile-menu<?php echo $home_class; ?>"><span><?php esc_html_e( 'Menu', 'fitness' ); ?></span></a>
					<?php if ( has_nav_menu( 'mobile' ) ) { ?>

						<nav class="navigation clearfix">
							<?php
							// Secondary Navigation.
							if ( has_nav_menu( 'secondary-menu' ) ) {
								wp_nav_menu(
									array(
										'theme_location' => 'secondary-menu',
										'menu_class'     => 'menu clearfix',
										'container'      => '',
										'walker'         => new fitness_menu_walker(),
									)
								);
							}
							?>
						</nav>
						<nav class="navigation mobile-only clearfix mobile-menu-wrapper">
							<?php
							// Mobile Navigation.
							if ( has_nav_menu( 'mobile' ) ) {
								wp_nav_menu(
									array(
										'theme_location' => 'mobile',
										'menu_class'     => 'menu clearfix',
										'container'      => '',
										'walker'         => new fitness_menu_walker(),
									)
								);
							}
							?>
						</nav>

					<?php } else { ?>

						<nav class="navigation clearfix mobile-menu-wrapper">
							<?php
							// Secondary Navigation.
							if ( has_nav_menu( 'secondary-menu' ) ) {
								wp_nav_menu(
									array(
										'theme_location' => 'secondary-menu',
										'menu_class'     => 'menu clearfix',
										'container'      => '',
										'walker'         => new fitness_menu_walker(),
									)
								);
							}
							?>
						</nav>

					<?php } ?>
				</div>
			</div><!--.container-->
		</div>
		<?php
}
?>
</header>
<?php get_template_part( 'template-parts/header/header', 'nav-adcode' ); ?>
<?php get_template_part( 'template-parts/header/header', 'adcode' ); ?>
