<?php
/**
 * Homepage Section - Blog Grid
 *
 * @package Blog
 */

$blog_heading    = fitness_get_settings( 'blog_section_heading' );
$blog_subheading = fitness_get_settings( 'blog_section_subheading' );

$blog_post_num = ! empty( fitness_get_settings( 'blog_section_postnum' ) ) ? fitness_get_settings( 'blog_section_postnum' ) : '3';
?>

<section class="blog-section clearfix">
	<div class="blog-overlay"></div>

	<div class="container">

    <?php
    if ( $blog_heading || $blog_subheading ) {
      ?>
        <div class="blog-heading-section">
      <?php
    }
    if ( $blog_heading ) {
      printf(
        '<h2>%s</h2>',
        $blog_heading
      );
    }
    if ( $blog_subheading ) {
      printf(
        '<p class="sub-heading">%s</p>',
        $blog_subheading
      );
    }
    if ( $blog_heading || $blog_subheading ) {
      ?>
    </div>
      <?php
    }

		echo '<div class="blog-section-posts num-' . $blog_post_num . '">';

		global $wp_query;
		$wp_query = new WP_Query( array( 'posts_per_page' => $blog_post_num ) );

		while ( have_posts() ) :
			the_post();
      echo '<div class="blog-section-post">';
      ?>
      <a href="<?php echo esc_url( get_the_permalink() ); ?>" title="<?php echo esc_attr( get_the_title() ); ?>" id="featured-thumbnail" class="post-image post-image-left">
        <div class="featured-thumbnail">
          <?php the_post_thumbnail( 'fitness-featured', array( 'title' => '' ) ); ?>
					<div class="post-overlay"></div>
        </div>
      </a>
      <?php
			printf(
				'<div class="blog-section-wrap"><a href="%1$s"><h3>%2$s</h3></a></div>',
				get_permalink(),
				get_the_title()
			);
    echo '</div>';

		endwhile;

		echo '</div>';
		?>

	</div><!-- .container -->

</section>
