<?php
/**
 * Homepage Section - Services
 *
 * @package Fitness
 */

$services_heading    = fitness_get_settings( 'services_heading' );
$services_subheading = fitness_get_settings( 'services_subheading' );
//Services items
$services = fitness_get_settings( 'home_services' );

if ( empty( $services ) && ! is_array( $services ) ) {
	return;
}
?>

<section class="services-section <?php echo 'count-' . count( $services ); ?> clearfix">
	<?php
	if ( $services_heading || $services_subheading ) {
		?>
			<div class="services-heading-section">
				<div class="container">
		<?php
	}
	if ( $services_heading ) {
		printf(
			'<h2>%s</h2>',
			$services_heading
		);
	}
	if ( $services_subheading ) {
		printf(
			'<p class="sub-heading">%s</p>',
			$services_subheading
		);
	}
	if ( $services_heading || $services_subheading ) {
		?>
	</div></div>
		<?php
	}
	?>
	<div class="services-section-items">

		<div class="container clearfix">

			<?php

			foreach ( $services as $service ) {
				$archor_start = ! empty( $service['services_link'] ) ? sprintf( '<a href="%1$s">', $service['services_link'] ) : '';
				$archor_end   = ! empty( $service['services_link'] ) ? '</a>' : '';
				$img          = ! empty( $service['services_image'] ) ? sprintf( '<img src="%1$s" alt="%2$s">', $service['services_image'], $service['services_title'] ) : '';
				$title        = ! empty( $service['services_title'] ) ? sprintf( '<h3>%1$s</h3>', $service['services_title'] ) : '';
				printf( '<div class="service-item">%1$s%2$s%3$s%4$s</div>', $archor_start, $img, $title, $archor_end );
			}

			?>

		</div><!-- .container -->
	</div>

</section>
