<?php
/**
 * Homepage Section - Teams
 *
 * @package Fitness
 */

$teams_heading    = fitness_get_settings( 'teams_heading' );
$teams_subheading = fitness_get_settings( 'teams_subheading' );
//Teams items
$teams = fitness_get_settings( 'home_teams' );

if ( empty( $teams ) && ! is_array( $teams ) ) {
	return;
}
?>

<section class="teams-section <?php echo 'count-' . count( $teams ); ?> clearfix">
	<div class="container">
	<?php
	if ( $teams_heading || $teams_subheading ) {
		?>
			<div class="teams-heading-section">
		<?php
	}
	if ( $teams_heading ) {
		printf(
			'<h2>%s</h2>',
			$teams_heading
		);
	}
	if ( $teams_subheading ) {
		printf(
			'<p class="sub-heading">%s</p>',
			$teams_subheading
		);
	}
	if ( $teams_heading || $teams_subheading ) {
		?>
	</div>
		<?php
	}
	?>
	<div class="teams-section-items">

			<?php

			foreach ( $teams as $team ) {
				$archor_start = ! empty( $team['team_link'] ) ? sprintf( '<a href="%1$s">', $team['team_link'] ) : '';
				$archor_end   = ! empty( $team['team_link'] ) ? '</a>' : '';
				$img          = ! empty( $team['team_image'] ) ? sprintf( '<img src="%1$s" alt="%2$s">', $team['team_image'], $team['team_title'] ) : '';
				$title        = ! empty( $team['team_title'] ) ? sprintf( '<h3>%1$s</h3>', $team['team_title'] ) : '';
				$profession   = ! empty( $team['team_profession'] ) ? sprintf( '<p class="team-profession">%1$s</p>', $team['team_profession'] ) : '';
				printf( '<div class="team-item">%1$s%2$s%3$s%4$s%5$s</div>', $archor_start, $img, $title, $archor_end, $profession);
			}

			?>

	</div>
</div>

</section>
