<?php
/**
 * Homepage Section - 3 Column Grid
 *
 * @package Fitness
 */

$threegrid = fitness_get_settings( 'home_threegrid' );

if ( empty( $threegrid ) && ! is_array( $threegrid ) ) {
	return;
}
?>

<section class="threegrid-section <?php echo 'count-' . count( $threegrid ); ?> clearfix">

	<div class="container clearfix">

		<?php
		$i = 0;

		foreach ( $threegrid as $grid ) {
			$archor_start = ! empty( $grid['threegrid_link'] ) ? sprintf( '<a href="%1$s">', $grid['threegrid_link'] ) : '';
			$archor_end   = ! empty( $grid['threegrid_link'] ) ? '</a>' : '';
			$img          = ! empty( $grid['threegrid_image'] ) ? sprintf( '<img src="%1$s" alt="%2$s">', $grid['threegrid_image'], $grid['threegrid_title'] ) : '';
			$icon         = ! empty( $grid['threegrid_icon'] ) ? sprintf( '<div class="grid-icon fa fa-%1$s"></div>', $grid['threegrid_icon'] ) : '';
			$text         = ! empty( $grid['threegrid_text'] ) ? sprintf( '<p>%1$s</p>', $grid['threegrid_text'] ) : '';
			$title        = ! empty( $grid['threegrid_title'] ) ? sprintf( '<h3>%1$s</h3>', $grid['threegrid_title'] ) : '';
			//$profession   = ! empty( $team['team_profession'] ) ? sprintf( '<p class="team-profession">%1$s</p>', $team['team_profession'] ) : '';
			printf( '<div class="grid-item item-' . ++$i . '">%1$s%2$s<div class="overlay"></div>%3$s%4$s%5$s%6$s</div>', $archor_start, $img, $icon, $text, $title, $archor_end );
		}

		?>

	</div><!-- .container -->

</section>
