<?php
/**
 * Homepage Section - 2 Column CTA
 *
 * @package Fitness
 */

$twocolumn_heading    = fitness_get_settings( 'twocolumn_heading' );
$twocolumn_subheading = fitness_get_settings( 'twocolumn_subheading' );
// Left Side Image
$twocolumn_left       = fitness_get_settings( 'twocolumn_left' );
$twocolumn_left_image = fitness_get_settings( 'twocolumn_left_image' );
$twocolumn_left_title = fitness_get_settings( 'twocolumn_left_title' );
$twocolumn_left_url   = fitness_get_settings( 'twocolumn_left_url' );
// Right Side Image
$twocolumn_right       = fitness_get_settings( 'twocolumn_right' );
$twocolumn_right_image = fitness_get_settings( 'twocolumn_right_image' );
$twocolumn_right_title = fitness_get_settings( 'twocolumn_right_title' );
$twocolumn_right_url   = fitness_get_settings( 'twocolumn_right_url' );
// Button
$button      = fitness_get_settings( 'twocolumn_button' );
$button_text = fitness_get_settings( 'twocolumn_button_text' );
$button_url  = fitness_get_settings( 'twocolumn_button_url' );

if ( ! $twocolumn_left && ! $twocolumn_left_image && ! $twocolumn_left_title && ! $twocolumn_right && ! $twocolumn_right_image && ! $twocolumn_right_title ) {
	return;
}
?>

<section class="twogrid-section clearfix">
	<?php
	if ( $twocolumn_heading || $twocolumn_subheading ) {
		?>
			<div class="twocolumn-cta-heading-section">
				<div class="container">
		<?php
	}
	if ( $twocolumn_heading ) {
		printf(
			'<h2>%s</h2>',
			$twocolumn_heading
		);
	}
	if ( $twocolumn_subheading ) {
		printf(
			'<p class="sub-heading">%s</p>',
			$twocolumn_subheading
		);
	}
	if ( $twocolumn_heading || $twocolumn_subheading ) {
		?>
	</div></div>
		<?php
	}
	if ( $twocolumn_left || $twocolumn_right ) {
		?>
			<div class="twocolumn-cta-section">
		<?php
	}
	if ( $twocolumn_left ) {
	?>
		<div class="twocolumn-left">
			<div class="cta-overlay"></div>
			<div class="container">
				<?php
				//if ( $twocolumn_left_title ) {
				//	printf(
				//		'<h3 class="twocolumn-left-title">%s</h3>',
				//		$twocolumn_left_title
				//	);
				//}
				?>
				<?php
				$archor_start = ! empty( $twocolumn_left_url ) ? sprintf( '<a href="%1$s">', $twocolumn_left_url ) : '';
				$archor_end   = ! empty( $twocolumn_left_url ) ? '</a>' : '';
				if ( $twocolumn_left_title ) {
					printf( '<h3>%1$s%2$s%3$s</h3>', $archor_start, $twocolumn_left_title, $archor_end );
				}
				?>
			</div>
		</div>
		<?php
	}
	if ( $twocolumn_right ) {
	?>
		<div class="twocolumn-right">
			<div class="cta-overlay"></div>
			<div class="container">
				<?php
				$archor_start = ! empty( $twocolumn_right_url ) ? sprintf( '<a href="%1$s">', $twocolumn_right_url ) : '';
				$archor_end   = ! empty( $twocolumn_right_url ) ? '</a>' : '';
				if ( $twocolumn_right_title ) {
					//printf(
					//	'<h3 class="twocolumn-right-title">%s</h3>',
					//	$twocolumn_right_title
					//);
					printf( '<h3>%1$s%2$s%3$s</h3>', $archor_start, $twocolumn_right_title, $archor_end );
				}
				?>
			</div>
		</div>
	<?php
	}
	if ( $twocolumn_left || $twocolumn_right ) {
		?>
	</div>
		<?php
	}

	if ( ! empty( $button ) && ! empty( $button_text ) && ! empty( $button_url ) ) {
		?>
		<div class="two-column-cta-button">
			<div class="container">
				<div class="two-column-cta-button-inner">
					<?php printf( '<a class="button" href="%1$s">%2$s</a>', $button_url, $button_text ); ?>
				</div>
			</div>
		</div>
		<?php
	}
	?>

</section>
